EMF::EMRSETPOLYFILLMODE(3)

NAME
EMF::EMRSETPOLYFILLMODE - EMF Set the Polygon Fill Mode.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSELECTCLIPPATH.

  Public Member Functions

EMRSETPOLYFILLMODE (DWORD mode)
EMRSETPOLYFILLMODE (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set the Polygon Fill Mode.

Set the polygon fill mode: ALTERNATE or WINDING

Constructor & Destructor Documentation

  EMF::EMRSETPOLYFILLMODE::EMRSETPOLYFILLMODE (DWORD mode) [inline]

Parameters:
    mode background mode.

  EMF::EMRSETPOLYFILLMODE::EMRSETPOLYFILLMODE (DATASTREAM & ds) [inline]
Construct a SetPolyFillMode record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETPOLYFILLMODE::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETPOLYFILLMODE::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETPOLYFILLMODE::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.